
% Compute the results without using extra points.
res = [];
noise = 0.0; % 0.02
extra_points = 4; % was 4 or 0 for experiments.
skip=0.05;
maxv=0.5;

for v=0:skip:maxv,
  r = [];
  for i=1:10,
    [a, c] = orthocam(noise, v, extra_points);
    r = cat(2, r, c);
  end
  res = cat(1, res, r);
end

% Compute with bundle adjustment.
res_ba = [];
for v=0:skip:maxv,
  v
  r = [];
  for i=1:2,
    [a, c] = orthocam(noise, v, extra_points, 1);
    r = cat(2, r, c);
  end
  res_ba = cat(1, res_ba, r);
end

